Bug 1162894 - [abrt] webkitgtk: _cairo_bentley_ottmann_tessellate_rectangular.lto_priv.119(): GtkLauncher killed by SIGSEGV
Summary: [abrt] webkitgtk: _cairo_bentley_ottmann_tessellate_rectangular.lto_priv.119(...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9d2a8ecedbc1f393c6bf7308d9a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-11 23:41 UTC by Carlos Morel-Riquelme
Modified: 2015-03-01 06:51 UTC (History)
5 users (show)

Fixed In Version: cairo-1.14.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-01 06:50:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (121.36 KB, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: cgroup (190 bytes, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: core_backtrace (92.54 KB, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: dso_list (18.97 KB, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: environ (2.97 KB, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: exploitable (82 bytes, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: limits (1.29 KB, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: maps (155.00 KB, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: open_fds (3.27 KB, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details
File: var_log_messages (392 bytes, text/plain)
2014-11-11 23:41 UTC, Carlos Morel-Riquelme
no flags Details

Description Carlos Morel-Riquelme 2014-11-11 23:41:04 UTC
Description of problem:
Midori crash in videoweb sites ( random) this crash is produced when i run /usr/libexec/webkitgtk/GtkLauncher

Version-Release number of selected component:
webkitgtk-2.4.7-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/libexec/webkitgtk/GtkLauncher
crash_function: _cairo_bentley_ottmann_tessellate_rectangular.lto_priv.119
executable:     /usr/libexec/webkitgtk/GtkLauncher
kernel:         3.17.2-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _cairo_bentley_ottmann_tessellate_rectangular.lto_priv.119 at /lib64/libcairo.so.2
 #1 _cairo_bentley_ottmann_tessellate_boxes at /lib64/libcairo.so.2
 #2 fixup_unbounded.isra at /lib64/libcairo.so.2
 #3 clip_and_composite_boxes.part at /lib64/libcairo.so.2
 #4 clip_and_composite_boxes at /lib64/libcairo.so.2
 #5 clip_and_composite_polygon at /lib64/libcairo.so.2
 #6 _cairo_traps_compositor_fill.lto_priv.283 at /lib64/libcairo.so.2
 #7 _cairo_compositor_fill at /lib64/libcairo.so.2
 #8 _cairo_xlib_surface_fill at /lib64/libcairo.so.2
 #9 _cairo_surface_fill at /lib64/libcairo.so.2

Comment 1 Carlos Morel-Riquelme 2014-11-11 23:41:08 UTC
Created attachment 956483 [details]
File: backtrace

Comment 2 Carlos Morel-Riquelme 2014-11-11 23:41:09 UTC
Created attachment 956484 [details]
File: cgroup

Comment 3 Carlos Morel-Riquelme 2014-11-11 23:41:12 UTC
Created attachment 956485 [details]
File: core_backtrace

Comment 4 Carlos Morel-Riquelme 2014-11-11 23:41:13 UTC
Created attachment 956486 [details]
File: dso_list

Comment 5 Carlos Morel-Riquelme 2014-11-11 23:41:14 UTC
Created attachment 956487 [details]
File: environ

Comment 6 Carlos Morel-Riquelme 2014-11-11 23:41:15 UTC
Created attachment 956488 [details]
File: exploitable

Comment 7 Carlos Morel-Riquelme 2014-11-11 23:41:17 UTC
Created attachment 956489 [details]
File: limits

Comment 8 Carlos Morel-Riquelme 2014-11-11 23:41:19 UTC
Created attachment 956490 [details]
File: maps

Comment 9 Carlos Morel-Riquelme 2014-11-11 23:41:20 UTC
Created attachment 956491 [details]
File: open_fds

Comment 10 Carlos Morel-Riquelme 2014-11-11 23:41:21 UTC
Created attachment 956492 [details]
File: proc_pid_status

Comment 11 Carlos Morel-Riquelme 2014-11-11 23:41:23 UTC
Created attachment 956493 [details]
File: var_log_messages

Comment 12 Fedora Update System 2015-01-28 23:27:42 UTC
cairo-1.14.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cairo-1.14.0-1.fc21

Comment 13 Fedora Update System 2015-01-28 23:53:57 UTC
cairo-1.14.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cairo-1.14.0-1.fc20

Comment 14 Fedora Update System 2015-01-30 04:39:33 UTC
Package cairo-1.14.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cairo-1.14.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1384/cairo-1.14.0-1.fc20
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-03-01 06:50:08 UTC
cairo-1.14.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-03-01 06:51:57 UTC
cairo-1.14.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.